<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Grid Exercise</title>
    <style>
        html,
        body {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
            font-family: Calibri, Arial;
        }

        #container {
            display: grid;
            width: 100%;
            height: 100%;
            grid-template-columns: 250px auto;
            grid-template-rows: 250px 50px auto 75px;
        }

        #header {
            background: lightpink;
        }

        #top-nav {
            background: lightgray;
        }

        #main-nav {
            background: lightcyan;
            grid-row: 1 / 5;
            grid-column: 1 / 2;
        }

        #main {
            background: lightseagreen;
        }

        #footer {
            background: lightskyblue;
        }

        @media (max-width: 600px) {

            #container {
                grid-template-columns: auto;
                grid-template-rows: 100px 75px 100px auto 50px;
            }

            #header {
                grid-row: 1 / 2;
                grid-column: 1 / 2;
            }

            #footer {
                grid-row: 2 / 3;
                grid-column: 1 / 2;
            }

            #main-nav {
                grid-row: 3 / 4;
                grid-column: 1 / 2;
            }

            #main {
                grid-row: 4 / 5;
                grid-column: 1 / 2;
            }

        }
    </style>
</head>

<body>
    <div id="container">
        <div id="header">Header</div>
        <div id="top-nav">Top Nav</div>
        <div id="main-nav">Main Nav</div>
        <div id="main">Main</div>
        <div id="footer">Footer</div>
    </div>
</body>

</html>